#!/bin/sh

if [ -z "$1" ]; then
	exit 1
fi

container_id=`xivo-dcomp ps -q $1 2>/dev/null`
status=`docker inspect --format="{{.State.Running}}" "$container_id" 2>/dev/null`

if [ "$status" = "true" ]; then
    exit 0
elif [ "$status" = "false" ]; then
    exit 3
else
    exit 1
fi
